MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027530Community[OCCT] OCCT:Visualizationpublic2016-05-23 11:182017-08-17 09:27
ReporterVico Liang 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027530: Visualization - AIS_InteractiveContext::HilightNextDetected() doesn't work in Neutral Point
DescriptionThese three methods of AIS_InteractiveContext doesn't work at all in Neutral Point:
Standard_Boolean HasNextDetected() const;
Standard_Integer HilightNextDetected ();
Standard_Integer HilightPreviousDetected ();

To reproduce the bug:
1. In a scene with multiple solid objects.
2. Select the objects without open any local context by MoveTo
3. And then call above three methods.
Steps To Reproducetest bugs vis bug27530
TagsNo tags attached.
Test case numberbugs vis bug27530
Attached Files

- Relationships
parent of 0029007closedbugmaster Open CASCADE Visualization, AIS_InteractiveContext - the method for accessing Detected owners iterator is missing 

-  Notes
(0059198)
git (administrator)
2016-10-26 18:15

Branch CR27530 has been created by vpa.

SHA-1: ff30fff8cb4dfc6e497f216f6504fb47b164fb85


Detailed log of new commits:

Author: vpa
Date: Wed Oct 26 18:15:15 2016 +0300

    0027530: Visualization - AIS_InteractiveContext::HilightNextDetected() doesn't work in Neutral Point
    
    - added implementation of mentioned methods for neutral point;
    - sequence of detected objects was replaced by sequence of owners in AIS_InteractiveContext;
    - commands vselnext and vselprev were corrected to update viewier;
    - test case for issue 0027530.
(0059199)
vpa (developer)
2016-10-26 18:16

Dear Kirill,

please review patch from branch CR27530.
(0059252)
git (administrator)
2016-10-27 14:20

Branch CR27530 has been updated forcibly by vpa.

SHA-1: 371cf10b786de16e556861a0a268ea56144df0cf
(0059253)
git (administrator)
2016-10-27 14:27

Branch CR27530 has been updated forcibly by vpa.

SHA-1: b54802184ba2df3a9011a50a4eece3b042d8a1a5
(0059255)
git (administrator)
2016-10-27 14:29

Branch CR27530 has been updated forcibly by vpa.

SHA-1: 62a8755d399bd0c16a7feb77078ea8aeb4034f7c
(0059256)
kgv (developer)
2016-10-27 14:33

Please test the patch.
(0059331)
git (administrator)
2016-10-28 15:04

Branch CR27530 has been updated forcibly by mkv.

SHA-1: 81cba39119768ede31dff2f635cf37c80645e55c
(0059755)
mkv (tester)
2016-11-02 11:59

Dear BugMaster,
Branch CR27530 was rebased on current master of occt git-repository.
SHA-1: 81cba39119768ede31dff2f635cf37c80645e55c
(0059756)
mkv (tester)
2016-11-02 12:00

Dear BugMaster,
Branch CR27530 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 81cba39119768ede31dff2f635cf37c80645e55c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1124

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27530-master-OCCT/Debian70-64/bugs/vis/bug27530.html [^]
http://occt-tests/CR27530-master-OCCT/Windows-64-VC10/bugs/vis/bug27530.html [^]
bugs vis bug27530: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90986050 / 90744369 [+0.27%]
Total CPU difference: 19383.679999999866 / 19313.639999999898 [+0.36%]
products component :
Total MEMORY difference: 30552453 / 30593726 [-0.13%]
Total CPU difference: 5302.229999999982 / 5294.33999999997 [+0.15%]

Testing on Windows:
occt component :
Total MEMORY difference: 57311726 / 57321116 [-0.02%]
Total CPU difference: 18057.47455229865 / 18220.18359529866 [-0.89%]
products component :
Total MEMORY difference: 21509484 / 21474056 [+0.16%]
Total CPU difference: 5211.587807399971 / 5260.400520299964 [-0.93%]

There are no differences in images found by testdiff.
(0059757)
mkv (tester)
2016-11-02 12:05

Dear BugMaster,
Branch CR27530 is TESTED.
(0061199)
git (administrator)
2016-12-07 11:25

Branch CR27530 has been deleted by kgv.

SHA-1: 81cba39119768ede31dff2f635cf37c80645e55c

- Related Changesets
occt: master f0cddd16
Timestamp: 2016-10-27 11:29:27
Author: vpa
Committer: apn
Details ] Diff ]
0027530: Visualization - AIS_InteractiveContext::HilightNextDetected() doesn't work in Neutral Point

- added implementation of mentioned methods for neutral point;
- sequence of detected objects was replaced by sequence of detected owner's indexes in AIS_InteractiveContext;
- commands vselnext and vselprev were corrected to update viewer properly;
- test case for issue 0027530.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug27530 Diff ] File ]
mod - tests/v3d/edge/A10 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-23 11:18 Vico Liang New Issue
2016-05-23 11:18 Vico Liang Assigned To => kgv
2016-05-23 11:33 kgv Product Version 7.0.0 => 6.3.1
2016-05-23 11:33 kgv Summary HilightNextDetected doesn't work in Neutral Point => Visualization - AIS_InteractiveContext::HilightNextDetected() doesn't work in Neutral Point
2016-07-15 19:47 kgv Relationship added child of 0026272
2016-10-21 10:09 kgv Assigned To kgv => isk
2016-10-21 10:09 kgv Status new => assigned
2016-10-24 16:49 kgv Assigned To isk => vpa
2016-10-26 18:15 git Note Added: 0059198
2016-10-26 18:16 vpa Note Added: 0059199
2016-10-26 18:16 vpa Assigned To vpa => kgv
2016-10-26 18:16 vpa Status assigned => resolved
2016-10-26 18:16 vpa Steps to Reproduce Updated View Revisions
2016-10-27 14:20 git Note Added: 0059252
2016-10-27 14:27 git Note Added: 0059253
2016-10-27 14:29 git Note Added: 0059255
2016-10-27 14:33 kgv Note Added: 0059256
2016-10-27 14:33 kgv Assigned To kgv => bugmaster
2016-10-27 14:33 kgv Status resolved => reviewed
2016-10-27 15:55 mkv Assigned To bugmaster => mkv
2016-10-28 15:04 git Note Added: 0059331
2016-11-02 11:59 mkv Note Added: 0059755
2016-11-02 12:00 mkv Note Added: 0059756
2016-11-02 12:04 mkv Test case number => bugs vis bug27530
2016-11-02 12:05 mkv Note Added: 0059757
2016-11-02 12:05 mkv Assigned To mkv => bugmaster
2016-11-02 12:05 mkv Status reviewed => tested
2016-11-03 17:10 apn Changeset attached => occt master f0cddd16
2016-11-03 17:10 apn Assigned To bugmaster => apn
2016-11-03 17:10 apn Status tested => verified
2016-11-03 17:10 apn Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061199
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0
2017-08-17 09:27 kgv Relationship added parent of 0029007


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker